List alert templates
curl --request GET \
--url https://api.example.com/alerts-v2/templates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/alerts-v2/templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/alerts-v2/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"templates": [
{
"name": "<string>",
"description": "<string>",
"icon": "<string>",
"available": true,
"unavailableTooltip": "<string>",
"config": {
"alertForm": {
"name": "<string>",
"thresholds": [],
"queryName": "",
"evaluationPeriod": "DAILY",
"thresholdType": "ABOVE",
"description": "",
"tagIds": [],
"scopeId": "<string>",
"condition": "<string>",
"dedup": {
"kind": "CALENDAR"
}
},
"explorerRequest": {
"period": {
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"forecastDays": 1,
"comparisonPeriod": {
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"enabled": true
}
},
"queries": [
{
"type": "condition",
"expression": "<string>",
"name": "<string>",
"colorIndex": 123,
"alias": "<string>",
"visible": true
}
],
"eventsFilter": {
"githubSourceRepos": [],
"enableAllGithubRepos": true,
"customBusinessEvents": true,
"customTechnicalEvents": true,
"labels": [],
"commitments": false,
"reservations": false,
"marketplacePurchases": false,
"skuPriceChanges": false,
"sources": []
},
"bookmarkedEvents": [
"<string>"
],
"scopeId": "<string>",
"limitOverride": 500
}
}
}
]
}{
"error": "<string>"
}Alerts V2
List alert templates
GET
/
alerts-v2
/
templates
List alert templates
Authorizations
Send Authorization: Bearer <credential> using either a Clerk session JWT or a Clerk API key (ak_*). API keys may identify a user (user_*) or organization (org_*) principal and are generated in the Clerk Dashboard under API keys.
Response
Available and unavailable alert templates
Show child attributes
Show child attributes
Last modified on August 10, 2026
Was this page helpful?
⌘I
